TestHoax/urls.py
from django.urls import path

from . import views

app_name = 'TestHoax'

urlpatterns = [
    path('', views.testhoax, name='testhoax'),
    path('soal/', views.soal, name='soal'),
    path('soal2/<int:nomor>/<int:skor>', views.soal, name='soal2'),
    path('soal3/<int:nomor>/<int:skor>', views.soal, name='soal3'),
    path('soal4/<int:nomor>/<int:skor>', views.soal, name='soal4'),
    path('soal5/<int:nomor>/<int:skor>', views.soal, name='soal5'),
    path('skorhasil/<int:nomor>/<int:skor>', views.skor, name='skor'),
    path('fiturbaru/', views.fiturbaru, name='fiturbaru'),
    path('fiturbaru/ikutkegiatan/', views.ikutkegiatan, name='ikutkegiatan'),
    path('fiturbaru/ikutkegiatan/data/', views.olahdata, name='data'),
    path('fiturbaru/buatkegiatan/', views.buatkegiatan, name='buatkegiatan'),
    path('deletekegiatan/<str:pk>', views.deletekegiatan, name='deletekegiatan'),
    path('fiturbaru/daftarkegiatan/', views.daftarkegiatan, name='daftarkegiatan'),
    path('fiturbaru/ikutkegiatan/cekdata/', views.cekdata, name='cekdata'),
    
]

TestPengetahuan/urls.py
from django.urls import path

from . import views

app_name = 'TestPengetahuan'

urlpatterns = [
    path('home/', views.home, name='home'),  
    path('ganti/', views.ganti, name='ganti'),  
    path('gantiajax/', views.gantiajax, name='gantiajax'), 
    path('soal1s/',views.soal1s,name='soal1s'),
    path('soal1j/<int:qid>/<int:wid>',views.soal1j,name='soal1j'),
    path('soal2s/<int:wid>/',views.soal2s,name='soal2s'),
    path('soal2j/<int:qid>/<int:wid>/',views.soal2j,name='soal2j'),
    path('soal3s/<int:wid>/',views.soal3s,name='soal3s'),
    path('soal3j/<int:qid>/<int:wid>/',views.soal3j,name='soal3j'),
    path('soal4s/<int:wid>/',views.soal4s,name='soal4s'),
    path('soal4j/<int:qid>/<int:wid>/',views.soal4j,name='soal4j'),
    path('soal5s/<int:wid>/',views.soal5s,name='soal5s'),
    path('soal5j/<int:qid>/<int:wid>/',views.soal5j,name='soal5j'),
    path('soal6s/<int:wid>/',views.soal6s,name='soal6s'),
    path('soal6j/<int:qid>/<int:wid>/',views.soal6j,name='soal6j'),
    path('soal7s/<int:wid>/',views.soal7s,name='soal7s'),
    path('soal7j/<int:qid>/<int:wid>/',views.soal7j,name='soal7j'),
    path('soal8s/<int:wid>/',views.soal8s,name='soal8s'),
    path('soal8j/<int:qid>/<int:wid>/',views.soal8j,name='soal8j'),
    path('soal9s/<int:wid>',views.soal9s,name='soal9s'),
    path('soal9j/<int:qid>/<int:wid>/',views.soal9j,name='soal9j'),
    path('soal10s/<int:wid>/',views.soal10s,name='soal10s'),
    path('soal10j/<int:qid>/<int:wid>/',views.soal10j,name='soal10j'),
    path('hasil/<int:wid>/',views.hasil,name='hasil'),
    path('leaderboard/',views.score),
]

forum/urls.py
from django.urls import path

from . import views

app_name = 'forum'

urlpatterns = [
    path('', views.forum, name='forum1'),
    path('category/<str:category>/', views.forum, name='forum2'),
    path('addPost/', views.editPost, name='addPost'),
    path('editPost/<int:pk>/', views.editPost, name='editPost'),
    path('posts/<int:pk>/', views.readPost, name='readPost'),
    path('editComment/<int:pk>/', views.editComment, name='editComment'),
    path('addReply/<int:pkC>/', views.editReply, name='addReply'),
    path('editReply/<int:pkC>/<int:pkR>/', views.editReply, name='editReply'),
    path('addReplyReply//<int:pkR>/', views.editReply, name='addReplyReply'),
    path('profil/<str:username>/', views.profil, name='profil'),
    path('profil/<str:username>/warnaRandom/', views.warnaRandom, name='warnaRandom'),
    path('confirmDeletePost/<int:pk>/', views.confirmDeletePost, name='confirmDeletePost'),
    path('deletePost/<int:pk>/', views.deletePost, name='deletePost'),
    path('confirmDeleteComment/<int:pk>/', views.confirmDeleteComment, name='confirmDeleteComment'),
    path('deleteComment/<int:pk>/', views.deleteComment, name='deleteComment'),
    path('confirmDeleteReply/<int:pk>/', views.confirmDeleteReply, name='confirmDeleteReply'),
    path('deleteReply/<int:pk>/', views.deleteReply, name='deleteReply'),
    path('loadMore/', views.loadMore),
    path('category/<str:category>/loadMore/', views.loadMore),
    path('search/', views.search),
    path('category/<str:category>/search/', views.search),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about'),
]

tk1ppwb12/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('userAuth/', include('userAuth.urls')),
    path('userAuth/', include('django.contrib.auth.urls')),
    path('forum/', include('forum.urls')),
    path('HoaxSpreader/',include('HoaxSpreader.urls')),
    path('TestPengetahuan/',include('TestPengetahuan.urls')),
    path('hoax_destroyer/', include('hoax_destroyer.urls')),
    path('TestHoax/', include('TestHoax.urls')),
]

TestHoax/models.py
from django.db import models

# Create your models here.

class JawabanUser(models.Model):
    CHOICES=[('select1','Berita Benar'), ('select2','Hoaks')]
    Jawaban = models.CharField(max_length=7, choices=CHOICES, default="select1")
    Jawaban_ID = models.IntegerField()

class Kegiatan(models.Model):
    nama = models.CharField(max_length=50, null=True)

    def __str__(self):
        return self.nama

class UserKegiatan(models.Model):
    nama = models.CharField(max_length=50, null=True)
    kegiatan = models.ForeignKey(Kegiatan, null=True, on_delete=models.CASCADE)

    def __str__(self):
        return self.nama
    

    

TestHoax/forms.py
from django import forms
from .models import JawabanUser, UserKegiatan, Kegiatan

class FormSoal(forms.ModelForm):

    class Meta:
        model = JawabanUser
        fields = ['Jawaban']
        
        widgets = {
               'Jawaban': forms.RadioSelect(attrs={'class': 'Test123'})
           }

class FormPeserta(forms.ModelForm):
    class Meta:
        model = UserKegiatan
        fields = ['nama', 'kegiatan']

class FormKegiatan(forms.ModelForm):
    class Meta:
        model = Kegiatan
        fields = ['nama']

TestHoax/views.py
from django.shortcuts import render, redirect
from .forms import FormSoal, FormKegiatan, FormPeserta
from .models import JawabanUser, Kegiatan, UserKegiatan
from django.urls import reverse
from django.http import HttpResponse
from django.http import JsonResponse
import json
import requests


# Create your views here.


def testhoax(request):
    return render(request, 'home2.html')

def soal(request, nomor=1, skor=0):
    check2= True
    check =True
    if request.method == "POST":
        jawabanuser= JawabanUser(Jawaban_ID=nomor)
        form = FormSoal(request.POST, instance=jawabanuser)
        if form.is_valid() and request.POST:
            form.save()
            jawaban = JawabanUser.objects.last()
            check= Cekjawaban(jawaban.Jawaban_ID, jawaban.Jawaban)
            JawabanUser.objects.last().delete()
            check2 = False
            

            if check:
                skor+=20
                nomor+=1
                context = {'check':check, 'check2':check2, 'skor':skor, 'nomor':nomor}
                

            else:
                nomor+=1
                context = {'check':check, 'check2':check2, 'skor':skor, 'nomor':nomor}

            if nomor ==2: #mulai dari 2 karena defaultnya nomornya satu
                return render(request, 'TestHoax/Soal.html', context)

            elif nomor ==3:
                return render(request, 'Soal2.html', context)

            elif nomor ==4:
                return render(request, 'Soal3.html', context)
    
            elif nomor ==5:
                return render(request, 'Soal4.html', context)

            elif nomor ==6:
                return render(request, 'Soal5.html', context)

    else:
        form = FormSoal()

    context = {'form':form, 'check':check, 'check2':check2, 'nomor':nomor, 'skor':skor}

    # klo tidak terjadi post
    if nomor ==1: #mulai dari satu karena nomor tidak di increment
        return render(request, 'TestHoax/Soal.html', context)

    elif nomor ==2:
        return render(request, 'Soal2.html', context)

    elif nomor ==3:
        return render(request, 'Soal3.html', context)

    elif nomor ==4:
        return render(request, 'Soal4.html', context)
    
    elif nomor ==5:
        return render(request, 'Soal5.html', context)

    return render(request, 'TestHoax/Soal.html', context)

def Cekjawaban(jawabanid, jwb):
    if jawabanid == 1:
        if jwb == "select1":
            return True

        else:
            return False

    elif jawabanid == 2:
        if jwb == "select2":
            return True

        else:
            return False

    elif jawabanid == 3:
        if jwb == "select2":
            return True

        else:
            return False
    
    elif jawabanid == 4:
        if jwb == "select2":
            return True

        else:
            return False
    
    elif jawabanid == 5:
        if jwb == "select2":
            return True

        else:
            return False

def skor (request, nomor, skor):
    if skor <60:
        check = False
    else:
        check = True
    context = {'nomor':nomor, 'skor':skor, 'check': check}
    return render(request, "TestHoax/skor.html", context)

def fiturbaru(request):
    return render(request, "TestHoax/fiturbaru.html")

def ikutkegiatan(request):
    
    if request.method=="POST":
        form = FormPeserta(request.POST)
        if form.is_valid():
            nama = form.cleaned_data['nama']
            form.save()
            form = FormPeserta()

    else:
        form = FormPeserta()

    context = {'form':form}
    return render(request, "TestHoax/ikutkegiatan.html", context)

def olahdata(request):
    url = "https://api.agify.io/?name=" + request.GET['name']
    ret = requests.get(url)
    hasil = json.loads(ret.content)
    return JsonResponse(hasil, safe=False)

def buatkegiatan(request):
    daftar = Kegiatan.objects.all()
    if request.method=="POST":
        form = FormKegiatan(request.POST)
        if form.is_valid():
            simpan = form.save()
            simpan.save()
            form = FormKegiatan()

    else:
        form = FormKegiatan()

    context = {'form':form, 'daftar':daftar}
    return render(request, "TestHoax/buatkegiatan.html", context)

def deletekegiatan(request, pk):
    kegiatan = Kegiatan.objects.get(id=pk)
    context = {'kegiatan':kegiatan}
    if request.method=="POST":
        kegiatan.delete()
        return render(request, 'TestHoax/sudahhapuskegiatan.html', context)
    
    return render(request, 'TestHoax/deletekegiatan.html', context)

def daftarkegiatan(request):
    daftar = UserKegiatan.objects.all()
    context = {'List': daftar}
    return render(request, 'TestHoax/daftarkegiatan.html', context)

def cekdata(request):
    
    nama = request.GET.get('nama')
    kegiatan = request.GET.get('kegiatan')
    
    data = {
        'is_exist': UserKegiatan.objects.filter(nama= nama, kegiatan = kegiatan).exists()
    }
    print(data['is_exist'])
    if data['is_exist']:
        data['error'] = "Anda sebelumnya sudah mendaftar kegiatan ini"

    print(data)

    return JsonResponse(data, safe=False)
    
    

TestHoax/templates/TestHoax/Soal.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>FunCovidInfo</title>
<link rel="stylesheet" href="{% static 'main/css/style.css' %}" />
<link rel="stylesheet" href="{% static 'main/css/TestHoax.css'%}">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
{% endblock meta %}

{% block content %}
    <div class="container2">
        <h1>Perhatikan Gambar Berikut Ini !</h1>

       
        <div class="image1">
            <img src="{% static 'main/img/image1.png' %}" alt="Gambar Berita">
        </div>

        <h2>Apakah ini Termasuk Hoaks ?</h2>
        {% if check2 %}
        <div class="formulir">

            <form method="POST">
                {% csrf_token %}

              
                    {{form.as_p}}
               
                <button class="btn btn-outline-primary btn-lg" role="button" aria-pressed="true" type="submit">Jawab</button>
            </form>
        </div>
        {% endif %}

        {% if not check2 %}
        {% if check %}
        <div class="jawaban">
            <div class="pernyataan">
                <h5>Jawaban Anda Benar !</h5>
            </div>
            {% if user.is_authenticated %}
            <div class="penjelasan">
                <h5>Berita tersebut bukanlah hoaks. Berdasarkan berita dari Kompas, Bill Gates menyarankan agar vaksin COVID-19 
                    diberikan kepada orang yang paling membutuhkan terlebih dahulu,
                    agar bukan hanya orang yang bisa membayar saja yang bisa mendapatkan vaksin.
                    link artikel: https://money.kompas.com/read/2020/07/13/063200326/bill-gates-minta-vaksin-covid-19-tidak-didistribusikan-dengan-sistem-pasar-ini?page=all
                </h5>
            </div>
            {% else %}
            <div class="penjelasan">
                <h5>(Silahkan login terlebih dahulu jika ingin melihat penjelasan jawaban)</h5>
            </div>
            {% endif %}
        </div>
        <div class="tombol">
            <a href="{% url 'TestHoax:soal2' nomor skor %}" class="btn btn-outline-primary btn-lg" role="button" aria-pressed="true">Next</a>
        </div>


        {% else %}
        <div class="jawaban">
            <div class="pernyataan2">
                <h5>Jawaban Anda Salah !</h5>
            </div>
            {% if user.is_authenticated %}
            <div class="penjelasan">
                <h5>Berita tersebut bukanlah hoaks. Berdasarkan berita dari Kompas, Bill Gates menyarankan agar vaksin COVID-19 
                    diberikan kepada orang yang paling membutuhkan terlebih dahulu,
                    agar bukan hanya orang yang bisa membayar saja yang bisa mendapatkan vaksin.
                    link artikel: https://money.kompas.com/read/2020/07/13/063200326/bill-gates-minta-vaksin-covid-19-tidak-didistribusikan-dengan-sistem-pasar-ini?page=all
                </h5>
            </div>
            {% else %}
            <div class="penjelasan">
                <h5>(Silahkan login terlebih dahulu jika ingin melihat penjelasan jawaban)</h5>
            </div>
            {% endif %}
        </div>
        <div class="tombol">
            <a href="{% url 'TestHoax:soal2' nomor skor %}" class="btn btn-outline-primary btn-lg" role="button" aria-pressed="true">Next</a>
        </div>

        {% endif %}
        {% endif %}

        
        
        

    </div>
{% endblock content %}

TestHoax/templates/TestHoax/buatkegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>FunCovidInfo</title>
<link rel="stylesheet" href="{% static 'main/css/style.css' %}" />
<link rel="stylesheet" href="{% static 'main/css/TestHoax.css'%}">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
{% endblock meta %}

{% block content %}
    <div class="container">
        {% if user.is_authenticated %}
        <h3>Selamat Datang {{user.username}}!</h3>
        <h5>Masukkan Nama Kegiatan yang ingin anda lakukan</h5>
        <div class="formulir">
            <form method="POST"> 
                {% csrf_token %}
                    {{form.as_p}}
                
            
            <button type="submit">save</button>
        </div>

        <table class = "daftarkegiatan">
            <tr>
                <th>Nama Kegiatan</th>
                <th>Actions</th>
            </tr>
            {% for kegiatan in daftar %}
            <tr>
                <td>{{kegiatan.nama}}</td>
                <td><a class="btn btn-danger" href="{% url 'TestHoax:deletekegiatan' kegiatan.id %}">Delete</a></td>
            </tr>
            {% endfor %}
        </table>
        
        <a href="{% url 'TestHoax:fiturbaru' %}">Kembali ke fitur baru</a>
        {% else %}
        <h1>Selamat Datang di fitur baru !</h1>


        {% endif %}
        <script src="{% static 'main/js/script.js' %}"></script>
    </div>
{% endblock content %}

TestHoax/templates/TestHoax/daftarkegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>FunCovidInfo</title>
<link rel="stylesheet" href="{% static 'main/css/style.css' %}" />
<link rel="stylesheet" href="{% static 'main/css/TestHoax.css'%}">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
{% endblock meta %}

{% block content %}
    <div class="container">

        <h5>List kegiatan dan peserta yang mengikuti</h5>

        <table class = "daftarkegiatan">
            <tr>
                <th>Nama Kegiatan</th>
                <th>Nama Peserta</th>
                <th>Actions</th>
            </tr>
            {% for item in List %}
            <tr>
                <td>{{item.kegiatan}}</td>
                <td>{{item.nama}}</td>
            </tr>

            {% endfor %}
        </table>
        
        <a href="{% url 'TestHoax:fiturbaru' %}">Kembali ke fitur baru</a>
        


        <script src="{% static 'main/js/script.js' %}"></script>
    </div>
{% endblock content %}

TestHoax/templates/TestHoax/deletekegiatan.html
<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}
<html lang="en">
    
    <title>FunCovidInfo</title>
    <link rel="stylesheet" href="{% static 'main/css/style.css' %}" />
    <link rel="stylesheet" href="{% static 'main/css/TestHoax.css'%}">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    

    {% block content %}
    <div class="container">
        
        <p>Are you sure you want to delete "{{kegiatan.nama}}"</p>
        <form action = "{% url 'TestHoax:deletekegiatan' kegiatan.id %}" method="POST"> 
            {% csrf_token %}
            <a href="{% url 'TestHoax:buatkegiatan' %}">Cancel</a>
            <input type="submit" name="Confirm">
        </form>

        
       
        
        
        
    
            
   

        


    </div>
    
    {% endblock content %}
</body>
</html>

TestHoax/templates/TestHoax/ikutkegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>FunCovidInfo</title>
<link rel="stylesheet" href="{% static 'main/css/style.css' %}" />
<link rel="stylesheet" href="{% static 'main/css/TestHoax.css'%}">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
{% endblock meta %}

{% block content %}
    <div class="container">
        {% if user.is_authenticated %}
        <h3>Selamat Datang {{user.username}} !</h3>
        <h5>Isi form ini jika anda ingin mengikuti suatu kegiatan</h5>

        <div class="formulir">
            <form method="POST"> 
                {% csrf_token %}
                    {{form.as_p}}
                
            
            <button id="cek" type="submit">save</button>
        </div>
        <h6 id="error"></h6>

    <a href="{% url 'TestHoax:fiturbaru' %}">Kembali ke fitur baru</a>

        </div>
        {% else %}
        <h3>Selamat Datang di tebak umur !</h3>


        {% endif %}
        <script src="{% static 'main/js/script.js' %}"></script>
    </div>
{% endblock content %}

TestHoax/templates/TestHoax/skor.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>FunCovidInfo</title>
<link rel="stylesheet" href="{% static 'main/css/style.css' %}" />
<link rel="stylesheet" href="{% static 'main/css/TestHoax.css'%}">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
{% endblock meta %}

{% block content %}
    <div class="container">
        {% if user.is_authenticated %}
        <h1>Selamat {{user.username}}, kamu telah menyelesaikan test hoaks !</h1>
        {% else %}
        <h1>Selamat kamu telah menyelesaikan test hoaks !</h1>
        {% endif %}
        <h1>Berikut ini adalah nilai kamu: {{skor}}</h1>

        {% if check %}
        <div class="jawaban">
            <div class="imagebenar">
                <img src="{% static 'main/img/hasilbenar.jpg' %}" alt="Hasil Benar">
            </div>
            <div class="pernyataan">
                <h5>Kamu sudah menjawab sebagian besar pertanyaan dengan benar </h5>
            </div>
            <div class="penjelasan">
                <h5>Kamu dinilai mampu untuk membedakan antara berita benar dan hoaks.
                    Selanjutnya kamu dapat mengikuti mini games, Test pengetahuan, atau Forum melalui tombol di bawah ini
                </h5>
            </div>
        </div>

        <div class="tatatombol">
            <div class="tombol">
                <a href="{% url 'main:home' %}" class="btn btn-outline-primary btn-lg" role="button" aria-pressed="true">Kembali ke Menu Utama</a>
            </div>
            <div class="tombol">
                <a href="{% url 'TestPengetahuan:home' %}" class="btn btn-outline-primary btn-lg" role="button" aria-pressed="true">Ikuti Test Pengetahuan</a>
            </div>
            <div class="tombol">
                <a href="{% url 'forum:forum1' %}" class="btn btn-outline-primary btn-lg" role="button" aria-pressed="true">Ikuti Forum</a>
            </div>
        </div>

        {% else %}
        <div class="jawaban">
            <div class="imagesalah">
                <img src="{% static 'main/img/hasilsalah.png' %}" alt="Hasil Salah">
            </div>
            <div class="pernyataan2">
                <h5>Hmm... Sepertinya kamu masih belum bisa membedakan antara berita benar dan hoaks nihh</h5>
            </div>
            <div class="penjelasan">
                <h5>
                    Berikut ini adalah ciri-ciri hoaks (kamu bisa jadikan ini sebagai acuan agar tidak tertipu lagi):
                    <br>
                    <br>
                    1. Menciptakan kecemasan, kebencian, permusuhan.
                    <br>
                    2. Sumber tidak jelas dan tidak ada yang bisa dimintai tanggung jawab atau klarifikasi.
                    <br>
                    3. Pesan sepihak, menyerang, dan tidak netral atau berat sebelah.
                    <br>
                    4. Mencatut nama tokoh berpengaruh atau pakai nama mirip media terkenal.
                    <br>
                    5. Memanfaatkan fanatisme atas nama ideologi, agama, suara rakyat.
                    <br>
                    6. Judul dan pengantarnya provokatif dan tidak cocok dengan isinya.
                    <br>
                    7. Memberi penjulukan.
                    <br>
                    8. Minta supaya di-share atau diviralkan.
                    <br>
                    9. Menggunakan argumen dan data yang sangat teknis supaya terlihat ilmiah dan dipercaya.
                    <br>
                    10. Artikel yang ditulis biasanya menyembunyikan fakta dan data serta memelintir pernyataan narasumbernya.
                    <br>
                    11. Berita ini biasanya ditulis oleh media abal-abal, di mana alamat media dan penanggung jawab tidak jelas.
                    <br>
                    12. Manipulasi foto dan keterangannya. Foto-foto yang digunakan biasanya sudah lama dan berasal dari kejadian di tempat lain dan keterangannya juga dimanipulasi.
                    <br>
                    <br>
                    <br>
                    Sumber:BeritaSatu.com
                    <br>
                    <br>
                    Nahh selanjutnya, kamu bisa coba lagi test hoaks ini atau kamu bisa coba ikut test pengetahuan untuk menambah pengetahuan kamu tentang virus corona

                </h5>
            </div>

            
            
        </div>
        <div class="tatatombol">
            <div class="tombol">
                <a href="{% url 'main:home' %}" class="btn btn-outline-primary btn-lg" role="button" aria-pressed="true">Kembali ke Menu Utama</a>
            </div>
            <div class="tombol">
                <a href="{% url 'TestHoax:testhoax' %}" class="btn btn-outline-primary btn-lg" role="button" aria-pressed="true">Coba Lagi</a>
            </div>
            <div class="tombol">
                <a href="{% url 'TestPengetahuan:home' %}" class="btn btn-outline-primary btn-lg" role="button" aria-pressed="true">Ikuti Test Pengetahuan</a>
            </div>
        </div>
        {% endif %}
            
    </div>
{% endblock content %}